Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 200527 - emerge eog-2.20.2 failed
Summary: emerge eog-2.20.2 failed
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: http://forums.gentoo.org/viewtopic-p-...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-27 15:29 UTC by Vlad
Modified: 2008-01-12 10:43 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
eog 2.20.2 build log (build.log,11.35 KB, text/plain)
2007-11-27 15:31 UTC, Vlad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vlad 2007-11-27 15:29:44 UTC
When I emerge -uaDv world, eog-2.20.2 fails to emerge. I get the following error:


checking for GTK_TOOLTIP... yes
checking for EOG... configure: error: Package requirements (gtk+-2.0 >= 2.10.0              glib-2.0 >= 2.12.0
              gnome-vfs-2.0 >= 2.10.0              libgnomeui-2.0 >= 2.6.0              libglade-2.0 >= 2.3.6
             gdk-pixbuf-2.0 >= 2.4.0              gconf-2.0 >= 2.5.90              libart-2.0 >= 2.3.16       
       gnome-desktop-2.0 >= 2.10.0              gtk+-unix-print-2.0 >= 2.10.0        gnome-icon-theme >= 2.19.
1            shared-mime-info >= 0.20 libexif >= 0.6.14 dbus-glib-1 >= 0.71) were not met:

Requested 'shared-mime-info >= 0.20' but version of shared-mime-info is 0.19

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables EOG_CFLAGS
and EOG_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/media-gfx/eog-2.20.2/work/eog-2.20.2/config.log
 *
 * ERROR: media-gfx/eog-2.20.2 failed.
 * Call stack:
 *       ebuild.sh, line 1701:  Called dyn_compile
 *       ebuild.sh, line 1039:  Called qa_call 'src_compile'
 *       ebuild.sh, line   44:  Called src_compile
 *       ebuild.sh, line 1383:  Called gnome2_src_compile
 *   gnome2.eclass, line   70:  Called gnome2_src_configure
 *   gnome2.eclass, line   66:  Called econf '--with-libjpeg' '--with-libexif' '--with-dbus-glib-1' '--without
-cms' '--with-python' '--disable-exempi'
 *       ebuild.sh, line  638:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *  The die message:
 *   econf failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-gfx/eog-2.20.2/temp/build.log'.
 *


looks like it requires shared-mime-info of a certain version (>=0.20). "emerge --search" says that 0.22-r1 installed.


[ Results for search key : shared-mime-info ]
[ Applications found : 1 ]
 
*  x11-misc/shared-mime-info
      Latest version available: 0.22-r1
      Latest version installed: 0.22-r1


why might it fail?

Reproducible: Always
Comment 1 Vlad 2007-11-27 15:31:06 UTC
Created attachment 137123 [details]
eog 2.20.2 build log
Comment 2 Daniel Gryniewicz (RETIRED) gentoo-dev 2007-11-27 19:56:57 UTC
Do you have shared-mime-info installed in /usr/local?  If not, can you attach the config.log output?
Comment 3 Vlad 2007-11-27 20:57:18 UTC
(In reply to comment #2)
> Do you have shared-mime-info installed in /usr/local?  If not, can you attach
> the config.log output?
> 

I have shared-mime-info-0.22-r1 installed, at least "emerge
--search shared-mime-info" says that.

[home root] # emerge --search shared-mime-info
Searching...   
[ Results for search key : shared-mime-info ]
[ Applications found : 1 ]
 
*  x11-misc/shared-mime-info
      Latest version available: 0.22-r1
      Latest version installed: 0.22-r1


what I've just noticed is the /usr/lib64/pkgconfig/shared-mime-info.pc file contains the following:

prefix=/usr
exec_prefix=${prefix}
libdir=/usr/lib64
includedir=${prefix}/include

Name: shared-mime-info
Description: Freedesktop common MIME database
Version: 0.19
Requires:
Libs:
Cflags:

I've replaced 0.19 to 0.22 and successfully installed eog! so, I think the issue can be marked as resolved.

That's strange because the /usr/lib/pkgconfig/shared-mime-info.pc file (NOT lib64) contains "Version: 0.22". is it a bug in shared-mime-info-0.22-r1?
Comment 4 Daniel Gryniewicz (RETIRED) gentoo-dev 2007-11-29 17:04:51 UTC
Do you have 32-bit userland?  If not, your setup is broken.  /usr/lib should be a symlink to /usr/lib64
Comment 5 Vlad 2007-11-29 20:02:21 UTC
(In reply to comment #4)
> Do you have 32-bit userland?  If not, your setup is broken.  /usr/lib should be
> a symlink to /usr/lib64
> 

I'm on amd64 and /usr/lib is a symlink to /usr/lib64.


> That's strange because the /usr/lib/pkgconfig/shared-mime-info.pc file 
> (NOT lib64) contains "Version: 0.22". is it a bug in shared-mime-info-0.22-r1?

Sorry, I meant "/usr/share/pkgconfig/shared-mime-info.pc" by "/usr/lib/pkgconfig/shared-mime-info.pc"

one guy from the gentoo forum said me that there is a bug about the proper location for the file (x11-misc/shared-mime-info-0.22 wrongly patches .pc file to be located in /usr/lib/pkgconfig instead of /usr/share/pkgconfig) 
http://bugs.gentoo.org/show_bug.cgi?id=193334
Comment 6 Gilles Dartiguelongue gentoo-dev 2008-01-11 23:46:29 UTC
install slocate, run updatedb and then
$ slocate shared-mime-info.pc

if there is more than one, there is a problem. To find out which file come from which package, use (in gentoolkit)
$ equery belongs ${FILE}

please list your results here.
Comment 7 Vlad 2008-01-12 10:31:06 UTC
 # locate shared-mime-info.pc
/usr/share/pkgconfig/shared-mime-info.pc

 # equery belongs /usr/share/pkgconfig/shared-mime-info.pc

[ Searching for file(s) /usr/share/pkgconfig/shared-mime-info.pc in *... ]
x11-misc/shared-mime-info-0.22-r1 (/usr/share/pkgconfig/shared-mime-info.pc)
--------------------

actually I fixed the issue in November.
Comment 8 Gilles Dartiguelongue gentoo-dev 2008-01-12 10:43:32 UTC
ok if that what comment #5, I guess it was a local problem since the upgrade shouldn't have let a dangling .pc like this. Thanks for the status update anyway.